GraphDatabaseAPI (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Interface GraphDatabaseAPI

All Superinterfaces:
  GraphDatabaseService

All Known Implementing Classes:
  AbstractGraphDatabase, EmbeddedGraphDatabase, EmbeddedReadOnlyGraphDatabase, InternalAbstractGraphDatabase

    public interface GraphDatabaseAPI

extends GraphDatabaseService

This API can be used to get access to services. TODO: The methods exposing internal services directly should go away. It indicates lack of abstractions somewhere. DO NOT ADD MORE USAGE OF THESE!

Method Summary
`DiagnosticsManager` | `getDiagnosticsManager()` Deprecated.
`Guard` | `getGuard()` Deprecated.
`IdGeneratorFactory` | `getIdGeneratorFactory()` Deprecated.
`KernelData` | `getKernelData()` Deprecated.
`org.neo4j.kernel.impl.core.KernelPanicEventGenerator` | `getKernelPanicGenerator()` Deprecated.
`org.neo4j.kernel.impl.transaction.LockManager` | `getLockManager()` Deprecated.
`org.neo4j.kernel.impl.core.LockReleaser` | `getLockReleaser()` Deprecated.
`
`<T> Collection<T>`
` | `getManagementBeans(Class<T> type)` Deprecated.
`org.neo4j.kernel.impl.util.StringLogger` | `getMessageLog()` Deprecated.
`org.neo4j.kernel.impl.core.NodeManager` | `getNodeManager()` Deprecated.
`org.neo4j.kernel.impl.persistence.PersistenceSource` | `getPersistenceSource()` Deprecated.
`org.neo4j.kernel.impl.core.RelationshipTypeHolder` | `getRelationshipTypeHolder()` Deprecated.
`
`<T> T`
` | `getSingleManagementBean(Class<T> type)` Deprecated.
`String` | `getStoreDir()` Deprecated.
`org.neo4j.kernel.impl.nioneo.store.StoreId` | `getStoreId()` Deprecated.
`org.neo4j.kernel.impl.transaction.xaframework.TxIdGenerator` | `getTxIdGenerator()` Deprecated.
`TransactionManager` | `getTxManager()` Deprecated.
`org.neo4j.kernel.impl.transaction.XaDataSourceManager` | `getXaDataSourceManager()` Deprecated.
`TransactionBuilder` | `tx()` Deprecated.

Methods inherited from interface org.neo4j.graphdb.GraphDatabaseService
`beginTx, createNode, getAllNodes, getNodeById, getReferenceNode, getRelationshipById, getRelationshipTypes, index, registerKernelEventHandler, registerTransactionEventHandler, shutdown, unregisterKernelEventHandler, unregisterTransactionEventHandler`

Method Detail

### getNodeManager

    @Deprecated
    org.neo4j.kernel.impl.core.NodeManager getNodeManager()

  Deprecated.

### getLockReleaser

    @Deprecated
    org.neo4j.kernel.impl.core.LockReleaser getLockReleaser()

  Deprecated.

### getLockManager

    @Deprecated
    org.neo4j.kernel.impl.transaction.LockManager getLockManager()

  Deprecated.

### getXaDataSourceManager

    @Deprecated
    org.neo4j.kernel.impl.transaction.XaDataSourceManager getXaDataSourceManager()

  Deprecated.

### getTxManager

    @Deprecated
    TransactionManager getTxManager()

  Deprecated.

### getDiagnosticsManager

    @Deprecated
    DiagnosticsManager getDiagnosticsManager()

  Deprecated.

### getMessageLog

    @Deprecated
    org.neo4j.kernel.impl.util.StringLogger getMessageLog()

  Deprecated.

### getRelationshipTypeHolder

    @Deprecated
    org.neo4j.kernel.impl.core.RelationshipTypeHolder getRelationshipTypeHolder()

  Deprecated.

### getIdGeneratorFactory

    @Deprecated
    IdGeneratorFactory getIdGeneratorFactory()

  Deprecated.

### getTxIdGenerator

    @Deprecated
    org.neo4j.kernel.impl.transaction.xaframework.TxIdGenerator getTxIdGenerator()

  Deprecated.

### getStoreDir

    @Deprecated
    String getStoreDir()

  Deprecated.

### getKernelData

    @Deprecated
    KernelData getKernelData()

  Deprecated.

### getSingleManagementBean

    @Deprecated
    <T> T getSingleManagementBean(Class<T> type)

  Deprecated.

### tx

    @Deprecated
    TransactionBuilder tx()

  Deprecated.

### getPersistenceSource

    @Deprecated
    org.neo4j.kernel.impl.persistence.PersistenceSource getPersistenceSource()

  Deprecated.

### getManagementBeans

    @Deprecated
    <T> Collection<T> getManagementBeans(Class<T> type)

  Deprecated.

### getKernelPanicGenerator

    @Deprecated
    org.neo4j.kernel.impl.core.KernelPanicEventGenerator getKernelPanicGenerator()

  Deprecated.

### getGuard

    @Deprecated
    Guard getGuard()

  Deprecated.

### getStoreId

    @Deprecated
    org.neo4j.kernel.impl.nioneo.store.StoreId getStoreId()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.